com.taosdata.jdbc.ws.tmq.meta

## Class TagAlter

- java.lang.Object
- - com.taosdata.jdbc.ws.tmq.meta.TagAlter

    public class TagAlter
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TagAlter()`
`TagAlter(String colName, String colValue, boolean colValueNull)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`String` `getColName()`
`String` `getColValue()`
`int` `hashCode()`
`boolean` `isColValueNull()`
`void` `setColName(String colName)`
`void` `setColValue(String colValue)`
`void` `setColValueNull(boolean colValueNull)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TagAlter

    public TagAlter()

#### TagAlter

    public TagAlter(String colName,
                    String colValue,
                    boolean colValueNull)

### Method Detail

#### getColName

    public String getColName()

#### setColName

    public void setColName(String colName)

#### getColValue

    public String getColValue()

#### setColValue

    public void setColValue(String colValue)

#### isColValueNull

    public boolean isColValueNull()

#### setColValueNull

    public void setColValueNull(boolean colValueNull)

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`